Skip to content

Filesystem

CompozyOS Filesystem HTTP endpoints.

For people running agent work32 pages in this section
GET
/api/fs/browse

Query Parameters

path?string

Absolute directory path to list (defaults to the operator home)

show_hidden?boolean

Include dotfiles in the listing

dirs_only?boolean

Return only directory entries

Response Body

OK

application/json
  1. response
entries*array<>
home?string
parent?string
path*string
roots*array<string>
curl -X GET "https://example.com/api/fs/browse"
{  "entries": [    {      "is_dir": true,      "name": "string",      "path": "string"    }  ],  "home": "string",  "parent": "string",  "path": "string",  "roots": [    "string"  ]}